## hwloc-contrib 2.11.2

=== debian/changelog ===
hwloc-contrib (2.11.2-1~bpo12+1) bookworm-backports; urgency=medium

  * Backport to bookworm.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 07 Oct 2024 14:51:30 +0200

hwloc-contrib (2.11.2-1) unstable; urgency=medium

  * New upstream release.
    - patches/bash-completion: Upstreamed.
  * tests/tests: Always unpatch on exit.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Sep 2024 16:58:41 +0200

hwloc-contrib (2.11.0-2) unstable; urgency=medium

  * patches/bash-completion: Fix bash completion syntax error.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 03 Jul 2024 08:15:39 +0200
