## hwloc-contrib 2.12.0

=== debian/changelog ===
hwloc-contrib (2.12.0-3) unstable; urgency=medium

  * control: Drop Build-Depends-Indep.
  * salsa-ci.yml: Drop pkg.hwloc.minimum profile test.
  * control: Add explicit libnvidia-ml1 to fix build on ppc64el which has a
    tesla-470 alternative.

  * patches/fix-test-several-levels-same-type: Fix test when host has several
    levels with same type (Closes: Bug#1103282)
  * patches/work_around_legacy_max_proc_being_0: Fix undefined behavior on
    systems with bogus legacy_max_proc information.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 02 May 2025 17:13:06 +0200

hwloc-contrib (2.12.0-2) unstable; urgency=medium

  * control: Add librocm-smi-dev libze-dev libibverbs-dev build-deps.
  * patches/verbosity: Reduce verbosity of initialization errors of rocm and
    levelzero.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 18 Feb 2025 13:26:46 +0100

hwloc (2.12.0-1) unstable; urgency=medium

  * New upstream release.
  * tests-patches/use_system_hwloc: Refresh patch.
  * control: Make sure to pull libnvidia-ml-dev.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 17 Feb 2025 17:18:02 +0100

hwloc-contrib (2.12.0~rc1-1) experimental; urgency=medium

  * New upstream RC release.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 11 Feb 2025 14:17:32 +0100
