=== debian/control ===
Source: hwloc-contrib
Priority: optional
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper-compat (= 12), dh-exec,
  libltdl-dev [!gnu-any-any] <!pkg.hwloc.minimum>,
  valgrind-if-available <!pkg.hwloc.minimum>,
  libcairo2-dev <!pkg.hwloc.minimum>, libx11-dev <!pkg.hwloc.minimum>,
  libxml2-dev <!pkg.hwloc.minimum>, libxml2-utils <!nocheck !pkg.hwloc.minimum>,
  libncurses-dev <!pkg.hwloc.minimum>,
  libnuma-dev [linux-any] <!nocheck !pkg.hwloc.minimum>,
  libxnvctrl-dev <!pkg.hwloc.minimum>,
  nvidia-cuda-dev <!pkg.hwloc.minimum>, libnvidia-ml-dev <!pkg.hwloc.minimum>, libnvidia-ml1 <!pkg.hwloc.minimum>,
  librocm-smi-dev [linux-any] <!pkg.hwloc.minimum>,
  libze-dev [amd64] <!pkg.hwloc.minimum>,
  libibverbs-dev [linux-any] <!pkg.hwloc.minimum>,
  libpciaccess-dev <!pkg.hwloc.minimum>, libudev-dev [linux-any] <!pkg.hwloc.minimum>,
  pkgconf,
  ocl-icd-opencl-dev [!hurd-any] <!pkg.hwloc.minimum> | opencl-dev <!pkg.hwloc.minimum>, opencl-headers <!pkg.hwloc.minimum>,
  autoconf (>= 2.63),
# w3m, if we ever need to update README
  dpkg-dev (>= 1.16)
Build-Conflicts: autoconf2.13
Rules-Requires-Root: no
Standards-Version: 4.6.0
Section: contrib/libs
Homepage: https://www.open-mpi.org/projects/hwloc/
Vcs-Git: https://salsa.debian.org/debian/hwloc.git -b contrib
Vcs-Browser: https://salsa.debian.org/debian/hwloc/-/tree/contrib

Package: libhwloc-contrib-plugins
Architecture: any
Multi-Arch: same
Build-Profiles: <!pkg.hwloc.minimum>
Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc15 (>= ${source:Upstream-Version}~), libhwloc15 (<< ${source:Upstream-Version}A)
Description: Hierarchical view of the machine - contrib plugins
 libhwloc provides a portable abstraction (across OS, versions,
 architectures, ...) of the hierarchical topology of modern architectures. It
 primarily aims at helping high-performance computing applications with
 gathering information about the hardware so as to exploit it accordingly and
 efficiently.
 .
 libhwloc provides a hierarchical view of the machine, NUMA memory nodes,
 sockets, shared caches, cores and simultaneous multithreading. It also gathers
 various attributes such as cache and memory information.
 .
 libhwloc supports old kernels not having sysfs topology information,
 with knowledge of cpusets, offline cpus, and Kerrighed support
 .
 This package contains plugins to add discovery support for non-free items. This
 includes
  - CUDA support.
