=== debian/changelog ===
hwloc-contrib (2.12.2-2) unstable; urgency=medium

  * Re-upload without ppc64el binaries.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 01 Sep 2025 21:50:33 +0200

hwloc-contrib (2.12.2-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.2, no changes needed.
  * not-installed: Note that we don't install hwloc_levelzero.so.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 26 Aug 2025 18:43:54 +0200

hwloc-contrib (2.12.2~rc1-1) experimental; urgency=medium

  * New upstream RC release.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 24 Aug 2025 22:23:09 +0200

hwloc-contrib (2.12.1-1) experimental; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 12 May 2025 11:30:01 +0200

hwloc-contrib (2.12.1~rc1-1) experimental; urgency=medium

  * New upstream RC release.
    - patches/fix-test-several-levels-same-type: Upstreamed.
    - patches/work_around_legacy_max_proc_being_0: Upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 05 May 2025 15:38:37 +0200

hwloc-contrib (2.12.0-4) unstable; urgency=medium

  * control: Drop librocm-smi-dev build-dep.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 03 May 2025 02:28:29 +0200

hwloc (2.12.0-3) unstable; urgency=medium

  * patches/fix-test-several-levels-same-type: Fix test when host has several
    levels with same type (Closes: Bug#1103282)
  * patches/work_around_legacy_max_proc_being_0: Fix undefined behavior on
    systems with bogus legacy_max_proc information.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 02 May 2025 17:13:06 +0200
