=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hwloc-contrib
 Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-exec,
+Build-Depends: debhelper-compat (= 13), dh-exec,
   libltdl-dev [!gnu-any-any] <!pkg.hwloc.minimum>,
   valgrind-if-available <!pkg.hwloc.minimum>,
   libcairo2-dev <!pkg.hwloc.minimum>, libx11-dev <!pkg.hwloc.minimum>,
@@ -10,7 +10,7 @@
   libnuma-dev [linux-any] <!nocheck !pkg.hwloc.minimum>,
   libxnvctrl-dev <!pkg.hwloc.minimum>,
   nvidia-cuda-dev <!pkg.hwloc.minimum>, libnvidia-ml-dev <!pkg.hwloc.minimum>, libnvidia-ml1 <!pkg.hwloc.minimum>,
-  librocm-smi-dev [linux-any] <!pkg.hwloc.minimum>,
+#  librocm-smi-dev [linux-any] <!pkg.hwloc.minimum>,
   libze-dev [amd64] <!pkg.hwloc.minimum>,
   libibverbs-dev [linux-any] <!pkg.hwloc.minimum>,
   libpciaccess-dev <!pkg.hwloc.minimum>, libudev-dev [linux-any] <!pkg.hwloc.minimum>,
@@ -21,7 +21,7 @@
   dpkg-dev (>= 1.16)
 Build-Conflicts: autoconf2.13
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: contrib/libs
 Homepage: https://www.open-mpi.org/projects/hwloc/
 Vcs-Git: https://salsa.debian.org/debian/hwloc.git -b contrib
