## hwloc-contrib 2.13.0

=== debian/changelog ===
hwloc-contrib (2.13.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 09 Feb 2026 23:40:38 +0100

hwloc-contrib (2.13.0-1) experimental; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 09 Feb 2026 20:27:14 +0100

hwloc-contrib (2.13.0~rc1-1) experimental; urgency=medium

  * New upstream beta release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 01 Sep 2025 21:55:08 +0200
